import { CollectionConfig } from 'payload/types';

const Makers: CollectionConfig = {
  slug: 'makers',
  admin: {
    useAsTitle: 'name',
  },
  access: {
    read: () => true,
  },
  fields: [
    {
      name: 'name',
      type: 'text',
      required: true,
    },
    {
      name: 'phoneNumber',
      type: 'text',
      required: false
    }, 
    {
      name: 'email',
      type: 'email',
      required: false
    }, 
    {
      name: 'location',
      type: 'point',
      label: 'Location',
      required: true
    },
    {
      name: 'admins',
      type: 'relationship',
      relationTo: 'users',
      hasMany: true,
    },
    {
      name: 'stock',
      type: 'relationship',
      relationTo: 'products',
      hasMany: true,
    }
  ],
};

export default Makers;